Invoice Desk
  1. Invoice
Invoice Desk
  • Getting Started
  • Static Data
    • List currencies
      GET
    • List countries
      GET
    • List states
      GET
    • List cities
      GET
    • StaticDataController_testError
      GET
  • Company
    • List companies
      GET
    • Add Company
      POST
    • Update Company
      PATCH
    • Fetch details of a company by ID
      GET
    • Delete a company
      DELETE
    • Get all payments for a company
      GET
  • Client
    • List clients
      GET
    • Add client
      POST
    • Update a client
      PATCH
    • Remove client
      DELETE
    • Get client details
      GET
  • Invoice
    • List invoices
      GET
    • Create invoice
      POST
    • Get invoice by ID
      GET
    • Update invoice
      PATCH
    • Delete a specific invoice
      DELETE
    • Import invoices
      POST
    • Export invoice
      GET
    • Send invoice
      POST
  • Invoice Payments
    • Record payment for invoice
    • Get payments for invoice
  • Product
    • List products
    • Add product
    • Update a product
    • Remove a product
  • Account
    • Get account details
    • Update account details
  • Project
    • List projects
    • Create a project
    • Get project by ID
    • Update a project
    • Remove a project
  • Company Settings
    • Create a new tax
    • Get company invoice settings
  • Timesheet
    • Get time entries for a project
    • Create a timesheet
    • Update
    • Delete
  • Role
    • List roles
  • User Profile
    • Fetch auth user profile
    • Update user profile
  • Schemas
    • Schemas
      • ListCurrenciesResponse
      • ListCountriesResponse
      • ListStatesResponse
      • ListCitiesResponse
      • InvoiceLineItem
      • Payment
      • Invoice
      • CompanyContactInfo
      • ContactInfo
      • Client
      • ProjectTeamMember
      • Tag
      • Project
      • InvoiceSettings
      • Company
      • ListCompaniesResponse
      • TaxRegistration
      • CreateCompanyData
      • CreateCompanyResponse
      • UpdateCompanyData
      • CompanyResponse
      • UpdateCompanyResponse
      • GetCompanyQueryParams
      • GetCompanyResponse
      • GetCompanyPaymentsResponse
      • SuccessResponse
      • PaginationMeta
      • ListClientsResponse
      • CreateClientPayload
      • CreateClientResponse
      • UpdateClientData
      • UpdateClientResponse
      • DeleteClientResponse
      • GetClientResponse
      • ListInvoiceResponse
      • GetInvoiceResponse
      • LineItem
      • UpdateInvoiceRequestBody
      • EmailDeliveryOptions
      • DeliveryOptions
      • CreateInvoicePayload
      • CreateInvoiceResponse
      • ImportInvoiceItem
      • ImportInvoicesPayload
      • ImportInvoicesResponse
      • SendInvoiceRequestBody
      • RecordPaymentRequestBody
      • RecordPaymentResponse
      • GetInvoicePaymentsResponse
      • Product
      • ListProductsResponse
      • CreateProductPayload
      • CreateProductResponse
      • UpdateProductPayload
      • UpdateProductResponse
      • DeleteProductPayload
      • DeleteProductResponse
      • Account
      • GetAccountDetailsResponse
      • CreateTokenPayload
      • ApiToken
      • CreateApiTokenResponse
      • UpdateAccountRequestBody
      • User
      • CreateAccountRequest
      • MonthlyRevenue
      • CreateAccountResponse
      • MonthlyInvoiceStats
      • InvoiceStatusCounts
      • DashboardData
      • DashboardResponse
      • ListProjectsResponse
      • CreateProjectPayLoad
      • CreateProjectResponse
      • GetProjectResponse
      • UpdateProjectPayload
      • UpdateProjectResponse
      • DeleteProjectResponse
      • UpdateUserProfileRequest
      • CreateTaxSettingsRequest
      • TaxSettings
      • CreateTaxSettingsResponse
      • InvoiceSettingsResponse
      • TimeSheet
      • ListTimeEntriesResponse
      • CreateTimesheetPayLoad
      • CreateTimesheetResponse
      • UpdateTimesheetRequestBody
      • UpdateTimesheetResponse
      • IdentityResponse
      • RoleDetail
      • InvitationDetail
      • TeamMember
      • ListTeamMembersResponse
      • UpdateTeamMemberRequestBody
      • UpdateTeamMemberResponse
      • DeleteTeamMemberResponse
      • InviteTeamMemberRequestBody
      • TeamInviteResponse
      • ExchangeTokenForDetailsResponse
      • CompleteInviteFlowBody
      • CompleteInviteFlowResponse
      • ResendInviteRequestBody
      • APIResponse
      • Role
      • ListRolesResponse
      • ListSubscriptionPlansResponse
      • CurrentSubscriptionResponse
      • CreateSubscriptionOrderResponse
      • VerifySubscriptionPaymentRequest
      • SubscriptionInvoice
      • ListSubscriptionInvoicesResponse
      • SubscriptionPlanV2Response
      • ListSubscriptionPlansV2Response
      • TagResponse
      • ListTagsResponse
      • GetTagResponse
      • CreateTagRequestBody
      • CreateTagResponse
      • UpdateTagResponse
      • TagEntitiesRequestBody
      • TaggableResponse
      • TagEntitiesResponse
  1. Invoice

Send invoice

POST
/companies/{companyId}/invoices/{invoiceId}/send
Maintainer:Not configured
Send an invoice to the client via email

Request

Authorization
Add parameter in header
Example:
X-Token: ********************
Path Params

Body Params application/json

Examples

Responses

🟢200OK
application/json
Body

🟠403Forbidden
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/companies//invoices//send' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "deliveryOptions": {
        "email": {
            "send": true,
            "subject": "string",
            "recipients": [
                "string"
            ],
            "body": "string"
        }
    }
}'
Response Response Example
{
    "success": true,
    "data": {},
    "errors": [
        "string"
    ]
}
Modified at 2025-05-14 11:50:50
Previous
Export invoice
Next
Record payment for invoice
Built with